# PetscFileMode

Access mode for a file.

### Synopsis

    typedef enum {FILE_MODE_READ, FILE_MODE_WRITE, FILE_MODE_APPEND, FILE_MODE_UPDATE, FILE_MODE_APPEND_UPDATE} PetscFileMode;

FILE_MODE_READ - open a file at its beginning for reading

FILE_MODE_WRITE - open a file at its beginning for writing (will create if the file does not exist)

FILE_MODE_APPEND - open a file at end for writing

FILE_MODE_UPDATE - open a file for updating, meaning for reading and writing

FILE_MODE_APPEND_UPDATE - open a file for updating, meaning for reading and writing, at the end

### See Also

PetscViewerFileSetMode()

Level:beginner
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages